Subject: Re: [lp-wan] WG Review: IPv6 over Low Power Wide-Area Networks (lpwan)

From: Alexander Pelov <[email-masked]>
Date: Sun, 2 Oct 2016 14:20:22 +0200

Hi Suresh,

Thanks for helping to keep the discussions on track! 

The goals on the current charter are realistic, but will also require for us to move at the same pace as before the summer. Now that we have a first indication that things are going in the right direction (and that the name was stabilized to LPWAN), I think it would be important to continue our technical discussions, which were quite rich during the last IETF. 

Best,
Alexander

> Le 1 oct. 2016 à 04:26, Suresh Krishnan <[email-masked]> a écrit :
> 
> Hi all,
>   If you have any questions or comments about this charter that was approved 
> after IESG internal review, please feel free to send a note to the IESG list 
> before October 10. We will be discussing any comments that are received on 
> the October 13th telechat and try to get the WG formed right after.
> 
> Thanks
> Suresh
> 
> On 09/30/2016 02:14 PM, The IESG wrote:
>> A new IETF WG has been proposed in the Internet Area. The IESG has not
>> made any determination yet. The following draft charter was submitted,
>> and is provided for informational purposes only. Please send your
>> comments to the IESG mailing list ([email-masked]) by 2016-10-10.
>> 
>> IPv6 over Low Power Wide-Area Networks (lpwan)
>> -----------------------------------------------------------------------
>> Current status: Proposed WG
>> 
>> Chairs:
>>  TBD
>> 
>> Assigned Area Director:
>>  Suresh Krishnan <[email-masked]>
>> 
>> Internet Area Directors:
>>  Terry Manderson <[email-masked]>
>>  Suresh Krishnan <[email-masked]>
>> 
>> Mailing list:
>>  Address: [email-masked]
>>  To subscribe: https://www.ietf.org/mailman/listinfo/lp-wan
>>  Archive: http://www.ietf.org/mail-archive/web/lp-wan/
>> 
>> Charter: https://datatracker.ietf.org/doc/charter-ietf-lpwan/
>> 
>> A new generation of wireless technologies has emerged under the generic
>> name of Low-Power Wide-Area (LPWA), with a number of common
>> characteristics, which make these technologies unique and disruptive for
>> Internet of Things applications.
>> 
>> Those common traits include an optimized radio modulation, a star
>> topology, frame sizes in the order of tens of bytes transmitted
>> a few times per day at ultra-low speeds and sometimes variable MTUs,
>> and, though downstream may be supported, a mostly upstream transmission
>> pattern that allows the devices to spend most of their time in low-
>> energy deep-sleep mode.
>> 
>> This enables a range of several kilometers and a long battery lifetime,
>> possibly ten years operating on a single coin-cell. This also enables
>> simple and scalable deployments with low-cost devices and thin
>> infrastructures.
>> 
>> Those benefits come at a price: the layer 2 frame formats are optimized
>> and specific to each individual technology. There is no network layer
>> and the application is often hard wired to the layer 2 frame format,
>> leading to siloed deployments that must be managed, secured and operated
>> individually. Migrating from one LPWA technology to another implies
>> rebuilding the whole chain.
>> 
>> To unleash the full power of LPWA technologies and their ecosystems,
>> there is a need to couple them with other ecosystems that will guarantee
>> the inter-working by introducing a network layer, and enable common
>> components for management and security, as well as shared application
>> profiles. The IETF can contribute by providing IPv6 connectivity, and
>> propose technologies to secure the operations and manage the devices and
>> their gateways.
>> 
>> The Working Group will focus on enabling IPv6 connectivity over the
>> following selection of Low-Power Wide-Area technologies: SIGFOX, LoRa,
>> WI-SUN and NB-IOT.
>> 
>> These technologies present similar characteristics of rare and widely
>> unbalanced over-the-air transmissions, with little capability to alter
>> the frame formats to accommodate this work, which makes it so that
>> existing IETF work (6lo) cannot be trivially applied.
>> 
>> The Working Group will leverage cross-participation with the associated
>> set of stakeholders to ensure that the work taking place corresponds to
>> real demands and that the proposed solutions are indeed applicable.
>> 
>> The group will produce informational work describing LPWA
>> technologies and their needs as well as new standard work to optimize
>> IPv6-based communications to the end device
>> 
>> The group will:
>> 
>> 1. Produce an Informational document describing and relating some
>> selected LPWA technologies. This work will document the common
>> characteristics and highlight actual needs that the IETF could serve;
>> but it is not intended to provide a competitive analysis. It is expected
>> that the information contained therein originates from and is reviewed
>> by people who work on the respective LPWA technologies.
>> 
>> 2. Produce a Standards Track document to enable the compression and
>> fragmentation of a CoAP/UDP/IPv6 packet over LPWA networks. This will be
>> achieved through stateful mechanisms, specifically designed for star
>> topology and severely constrained links. The work will include the
>> definition of generic data models to describe the compression and
>> fragmentation contexts. This work may also include to define technology-
>> specific adaptations of the generic compression/fragmentation mechanism
>> wherever necessary.
>> 
>> 
>> Milestones:
>>  Nov 2016 - Adopt LPWAN specifications as WG item
>>  Dec 2016 - Adopt IP/UDP compression and fragmentation mechanism as a WG
>> item
>>  Jan 2017 - Adopt  CoAP compression mechanism as a WG item
>>  Apr 2017 - Submit LPWAN specification to the IESG for publication as an
>> Informational Document
>>  May 2017 - Submit IP/UDP compression and fragmentation mechanism to the
>> IESG for publication as a Proposed Standard
>>  Jul 2017 - Submit CoAP compression mechanism to the IESG for
>> publication as a Proposed Standard
>> 
>> 
>> _______________________________________________
>> lp-wan mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/lp-wan
>> 
> 
> 
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan